# class Gtk::TextIter

### Public Instance Methods

backward_search(text, flags, limit=nil) click to toggle source

    # File lib/gtk3/text-iter.rb, line 30
    def backward_search(text, flags, limit=nil)
      found, start_iter, end_iter = backward_search_raw(text, flags, limit)
      if found
        [start_iter, end_iter]
      else
        nil
      end
    end

Also aliased as: backward_search_raw
backward_search_raw(text, flags, limit=nil)
Alias for: backward_search
forward_search(text, flags, limit=nil) click to toggle source

    # File lib/gtk3/text-iter.rb, line 20
    def forward_search(text, flags, limit=nil)
      found, start_iter, end_iter = forward_search_raw(text, flags, limit)
      if found
        [start_iter, end_iter]
      else
        nil
      end
    end

Also aliased as: forward_search_raw
forward_search_raw(text, flags, limit=nil)
Alias for: forward_search